Send passthrough request
curl --request POST \
--url https://production.runalloy.com/passthrough \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"method": "GET",
"path": "/some/path",
"body": {},
"query": {},
"extraHeaders": {}
}
'import requests
url = "https://production.runalloy.com/passthrough"
payload = {
"method": "GET",
"path": "/some/path",
"body": {},
"query": {},
"extraHeaders": {}
}
headers = {
"Authorization": "<authorization>",
"x-api-version": "<x-api-version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'x-api-version': '<x-api-version>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
method: 'GET',
path: '/some/path',
body: JSON.stringify({}),
query: {},
extraHeaders: {}
})
};
fetch('https://production.runalloy.com/passthrough', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
""Passthrough
Send passthrough request
This endpoint makes it easy to send a passthrough request to the underlying Third Party App using a specified credentialId. It returns the raw data coming from the Third Party App.
POST
/
passthrough
Send passthrough request
Headers
The version of the API to use. The current API version is 2025-09.
Query Parameters
The credentialId for this integration.
Body
application/json
Response
200 - application/json
200
⌘I

